      SUBROUTINE HITONE(HIT)                                            2022

c	include 'tcommon.for'
	%include tcommon.for

      X=DEFL                                                            2040
      DEFL=DEFL-HIT                                                     2041
      Y=HIT-X                                                           2042
      IF(DEFL.LT.0.)GO TO 15                                            2043
      WRITE(6,1)HIT                                                     2044
1     FORMAT(' SHIELDS KNOCKED DOWN BY: ',F7.2)                         2045
      GO TO 10                                                          2046
15    IF(X.LE.0.)GO TO 25                                               2047
      WRITE(6,2)                                                        2048
2     FORMAT(' SHIELDS DESTROYED')                                      2049
25    CALL DAMAGE(1,Y)                                                  2050
      DEFL=0.                                                           2051
      GO TO 99                                                          2052
10    IF(DEFL.GT.100.)GO TO 20                                          2053
      WRITE(6,3)                                                        2054
3     FORMAT(' SHIELDS CRITICAL!')                                      2055
      GO TO 99                                                          2056
20    IF(DEFL.GT.250.)GO TO 99                                          2057
      WRITE(6,4)                                                        2058
4     FORMAT(' SHIELDS CRUMBLING')                                      2059
99    RETURN                                                            2060
      END                                                               2061
